<?php
$this->addTplJSNameFromContext('jquery-chosen');
$this->addTplCSSNameFromContext('jquery-chosen');
$this->addTplJSNameFromContext('zgeo');
?>
<div id="geo_window">

    <div class="wrapper">

        <form data-items-url="<?php echo $this->href_to('get_items'); ?>">

            <div class="list">
                <?php echo html_select('countries', $countries, $country_id, array('onchange'=>"icms.geo.changeParent(this, 'regions')", 'rel'=>'regions')); ?>
            </div>

            <div class="list" <?php if (!$city_id){?>style="display:none"<?php } ?>>
                <?php echo html_select('regions', $regions, $region_id, array('onchange'=>"icms.geo.changeParent(this, 'cities')", 'rel'=>'cities')); ?>
            </div>

            <div class="list" <?php if (!$city_id){?>style="display:none"<?php } ?>>
                <?php echo html_select('cities', $cities, $city_id, array('onchange'=>"icms.geo.changeCity(this)")); ?>
                <a href="javascript:icms.geo.showSetcity()" class="setcitylink">Не нашли город? Добавить</a>
            </div>
            
            <div class="setcity hidden" data-add-url="<?php echo $this->href_to('add'); ?>" data-go-url="<?php echo $this->href_to('widget','city'); ?>">   
                <?php echo html_input('text', 'cityname'); ?>
                <?php echo html_button('OK', 'select', "icms.geo.setCity()"); ?>
                <?php echo html_button('X', 'cancel', "icms.geo.hideSetcity()"); ?>
            </div>

        </form>

        <div class="buttons" <?php if (!$city_id){?>style="display:none"<?php } ?>>
            <?php echo html_button(LANG_SELECT, 'select', "icms.geo.selectCity('{$field_id}')"); ?>
        </div>

    </div>

</div>
<style>
.setcitylink{
    text-decoration: none;
    border-bottom: 1px dotted;
    padding: 2px;
    display: inline-block;
}
.setcity{
    display: flex;
}
.hidden{
    display: none;
}
#geo_window {
    height: 190px !important;
}
</style>
<script type="text/javascript">
    $(function(){
        $('#geo_window .list > select').chosen({no_results_text: '<?php echo LANG_LIST_EMPTY; ?>', width: '100%', search_placeholder: '<?php echo LANG_BEGIN_TYPING; ?>'});
        <?php if (!$city_id){?>
            $('#geo_window .list > select').first().triggerHandler('change');
        <?php } ?>
    });
    icms.modal.setCallback('open', function (){
        setTimeout(function(){ $('.nyroModalCont').css('overflow', 'visible'); }, 300);
    });
</script>